/*-------------------------------------------------------------------------+
| Copyright 2021 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.reuse.ui.handler;

import static org.fortiss.tooling.ext.reuse.ui.ToolingReuseUIActivator.PLUGIN_ID;

import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.ext.reuse.model.ReuseLibrary;
import org.fortiss.tooling.kernel.ui.extension.base.NamedCommentedModelElementHandlerBase;

/**
 * Handler for standard UI interaction/presentation of {@link ReuseLibrary}s.
 *
 * @author bergemann
 */

public class ReuseLibraryHandler extends NamedCommentedModelElementHandlerBase<ReuseLibrary> {

	/** {@inheritDoc} */
	@Override
	protected String getPluginId() {
		return PLUGIN_ID;
	}

	/** {@inheritDoc} */
	@Override
	protected String getIconPath(ReuseLibrary library) {
		return "icons/library.png";
	}

	/** {@inheritDoc} */
	@Override
	public List<EObject> getSubnodes(ReuseLibrary library) {
		return library.getReuseElementList();
	}

}
